> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.ipxo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Refunds for Order

> List all Refunds for Order.



## OpenAPI

````yaml openapi/ecommerce.yaml get /public/{user_id}/orders/{publicOrder_uuid}/refunds
openapi: 3.0.1
info:
  title: Ecommerce API
  description: ''
  version: '1.0'
servers:
  - url: https://apigw.ipxo.com/ecommerce
security:
  - bearerAuth: []
tags:
  - name: User
    description: ''
  - name: Cart
    description: ''
  - name: Stripe
    description: ''
  - name: Address
    description: ''
  - name: Gateway
    description: ''
  - name: Invoice
    description: ''
  - name: Order
    description: ''
  - name: Payment
    description: ''
  - name: Product
    description: ''
  - name: Subscription
    description: ''
  - name: Customer
    description: ''
  - name: Projection
    description: ''
  - name: Stripe EU
    description: ''
  - name: Vat
    description: ''
  - name: Legal
    description: ''
paths:
  /public/{user_id}/orders/{publicOrder_uuid}/refunds:
    get:
      tags:
        - Order
      summary: List Refunds for Order
      description: List all Refunds for Order.
      operationId: listRefundsForOrder
      parameters:
        - name: user_id
          in: path
          description: The ID of the user.
          required: true
          schema:
            type: string
          example: necessitatibus
        - name: publicOrder_uuid
          in: path
          description: ''
          required: true
          schema:
            type: string
          example: 8f5a882d-a37c-3e08-bc95-432ae84932ae
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        uuid:
                          type: string
                          example: 39be7d0a-02ad-3430-a130-a42f7cfc8ff1
                        invoice_id:
                          type: string
                          example: dbaf6cb3-d10b-3525-b0c1-0d32c3b479ec
                        order_uuid:
                          type: string
                          example: 67b894d4-d854-307b-819d-5cc158bb3315
                        reference_id:
                          type: string
                          example: a4da1aa6-aabd-32da-9eb3-e8e23e17f989
                        refund_reason:
                          type: string
                          example: Maxime.
                        refund_method:
                          type: string
                          example: Aut.
                        status:
                          type: string
                          example: pending
                        tax_total:
                          type: object
                          properties:
                            currency:
                              type: string
                              example: USD
                            amount:
                              type: string
                              example: '0.00'
                            amount_minor:
                              type: integer
                              example: 0
                        total:
                          type: object
                          properties:
                            currency:
                              type: string
                              example: USD
                            amount:
                              type: string
                              example: '192.00'
                            amount_minor:
                              type: integer
                              example: 19200
                        items:
                          type: object
                          properties:
                            data:
                              type: array
                              items:
                                type: object
                                properties:
                                  uuid:
                                    type: string
                                    example: a207e190-0bda-3837-9adb-6d13b13b3baf
                                  order_line_uuid:
                                    type: string
                                    example: 1b0c243d-0439-3436-8ad2-393fad53329b
                                  amount:
                                    type: object
                                    properties:
                                      currency:
                                        type: string
                                        example: USD
                                      amount:
                                        type: string
                                        example: '384.00'
                                      amount_minor:
                                        type: integer
                                        example: 38400
                              example:
                                - uuid: a207e190-0bda-3837-9adb-6d13b13b3baf
                                  order_line_uuid: 1b0c243d-0439-3436-8ad2-393fad53329b
                                  amount:
                                    currency: USD
                                    amount: '384.00'
                                    amount_minor: 38400
                    example:
                      - uuid: 39be7d0a-02ad-3430-a130-a42f7cfc8ff1
                        invoice_id: dbaf6cb3-d10b-3525-b0c1-0d32c3b479ec
                        order_uuid: 67b894d4-d854-307b-819d-5cc158bb3315
                        reference_id: a4da1aa6-aabd-32da-9eb3-e8e23e17f989
                        refund_reason: Maxime.
                        refund_method: Aut.
                        status: pending
                        tax_total:
                          currency: USD
                          amount: '0.00'
                          amount_minor: 0
                        total:
                          currency: USD
                          amount: '192.00'
                          amount_minor: 19200
                        items:
                          data:
                            - uuid: a207e190-0bda-3837-9adb-6d13b13b3baf
                              order_line_uuid: 1b0c243d-0439-3436-8ad2-393fad53329b
                              amount:
                                currency: USD
                                amount: '384.00'
                                amount_minor: 38400
                      - uuid: 8a74a00e-95d1-3d09-a1a1-7fec1bf50f55
                        invoice_id: d3a306a9-a5b1-3ee3-9b69-f08a021c4819
                        order_uuid: 4b467e42-398f-36dd-be12-95783bd4d0a6
                        reference_id: 289ffc0a-03c7-3b13-a96b-0412a022cae2
                        refund_reason: Inventore.
                        refund_method: Et earum.
                        status: pending
                        tax_total:
                          currency: USD
                          amount: '0.00'
                          amount_minor: 0
                        total:
                          currency: USD
                          amount: '218.00'
                          amount_minor: 21800
                        items:
                          data:
                            - uuid: 1d635358-6854-321d-8271-cd59c8c5d028
                              order_line_uuid: bc4aac86-969e-316e-82d2-e205291ebb69
                              amount:
                                currency: USD
                                amount: '741.00'
                                amount_minor: 74100
                  meta:
                    type: object
                    properties:
                      current_page:
                        type: integer
                        example: 1
                      total:
                        type: integer
                        example: 2
                      per_page:
                        type: integer
                        example: 10
                example:
                  data:
                    - uuid: 39be7d0a-02ad-3430-a130-a42f7cfc8ff1
                      invoice_id: dbaf6cb3-d10b-3525-b0c1-0d32c3b479ec
                      order_uuid: 67b894d4-d854-307b-819d-5cc158bb3315
                      reference_id: a4da1aa6-aabd-32da-9eb3-e8e23e17f989
                      refund_reason: Maxime.
                      refund_method: Aut.
                      status: pending
                      tax_total:
                        currency: USD
                        amount: '0.00'
                        amount_minor: 0
                      total:
                        currency: USD
                        amount: '192.00'
                        amount_minor: 19200
                      items:
                        data:
                          - uuid: a207e190-0bda-3837-9adb-6d13b13b3baf
                            order_line_uuid: 1b0c243d-0439-3436-8ad2-393fad53329b
                            amount:
                              currency: USD
                              amount: '384.00'
                              amount_minor: 38400
                    - uuid: 8a74a00e-95d1-3d09-a1a1-7fec1bf50f55
                      invoice_id: d3a306a9-a5b1-3ee3-9b69-f08a021c4819
                      order_uuid: 4b467e42-398f-36dd-be12-95783bd4d0a6
                      reference_id: 289ffc0a-03c7-3b13-a96b-0412a022cae2
                      refund_reason: Inventore.
                      refund_method: Et earum.
                      status: pending
                      tax_total:
                        currency: USD
                        amount: '0.00'
                        amount_minor: 0
                      total:
                        currency: USD
                        amount: '218.00'
                        amount_minor: 21800
                      items:
                        data:
                          - uuid: 1d635358-6854-321d-8271-cd59c8c5d028
                            order_line_uuid: bc4aac86-969e-316e-82d2-e205291ebb69
                            amount:
                              currency: USD
                              amount: '741.00'
                              amount_minor: 74100
                  meta:
                    current_page: 1
                    total: 2
                    per_page: 10
              example:
                data:
                  - uuid: 39be7d0a-02ad-3430-a130-a42f7cfc8ff1
                    invoice_id: dbaf6cb3-d10b-3525-b0c1-0d32c3b479ec
                    order_uuid: 67b894d4-d854-307b-819d-5cc158bb3315
                    reference_id: a4da1aa6-aabd-32da-9eb3-e8e23e17f989
                    refund_reason: Maxime.
                    refund_method: Aut.
                    status: pending
                    tax_total:
                      currency: USD
                      amount: '0.00'
                      amount_minor: 0
                    total:
                      currency: USD
                      amount: '192.00'
                      amount_minor: 19200
                    items:
                      data:
                        - uuid: a207e190-0bda-3837-9adb-6d13b13b3baf
                          order_line_uuid: 1b0c243d-0439-3436-8ad2-393fad53329b
                          amount:
                            currency: USD
                            amount: '384.00'
                            amount_minor: 38400
                  - uuid: 8a74a00e-95d1-3d09-a1a1-7fec1bf50f55
                    invoice_id: d3a306a9-a5b1-3ee3-9b69-f08a021c4819
                    order_uuid: 4b467e42-398f-36dd-be12-95783bd4d0a6
                    reference_id: 289ffc0a-03c7-3b13-a96b-0412a022cae2
                    refund_reason: Inventore.
                    refund_method: Et earum.
                    status: pending
                    tax_total:
                      currency: USD
                      amount: '0.00'
                      amount_minor: 0
                    total:
                      currency: USD
                      amount: '218.00'
                      amount_minor: 21800
                    items:
                      data:
                        - uuid: 1d635358-6854-321d-8271-cd59c8c5d028
                          order_line_uuid: bc4aac86-969e-316e-82d2-e205291ebb69
                          amount:
                            currency: USD
                            amount: '741.00'
                            amount_minor: 74100
                meta:
                  current_page: 1
                  total: 2
                  per_page: 10
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````